Cocoon API: Class Frontend

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.cocoon
Class Frontend

    java.lang.Object
      |
      +--org.apache.cocoon.Frontend

All Implemented Interfaces:
  Defaults

public class Frontend
extends java.lang.Object
implements Defaults

The Cocoon Frontend. This class implements all those methods used to pretty print the output from the Cocoon servlet itself. Since the engine may not be available, the style is hardcoded into this class, even if this goes against any smart publishing behavior. (ECS may be used instead).

Version:
  $Revision: 1.9 $ $Date: 2000/11/07 18:30:14 $
Author:
  Stefano Mazzocchi

Field Summary
`static java.lang.String[]` | `colors`
`static java.lang.String` | `SINGLE_COLUMN`

Fields inherited from interface org.apache.cocoon.Defaults
`BROWSERS_PROP, CACHE_DEFAULT, CACHE_PROP, COCOON_FORMAT_PI, COCOON_PROCESS_PI, DEFAULT_BROWSER, DISABLE_CACHING_PI, ERROR_INTERNALLY, FORMATTER_PROP, HOME, INIT_ARG, INTERPRETER_PROP, LOG, LOG_LEVEL, LOOPS, NAME, OUTPUTTING, PARSER_DEFAULT, PARSER_PROP, PROCESSOR_PROP, PRODUCER_PROP, PROFILER_DEFAULT, PROFILER_PROP, PROPERTIES, SHOW_STATUS, STATUS_URL, STATUS_URL_DEFAULT, STORE_DEFAULT, STORE_PROP, STYLESHEET_PI, TRANSFORMER_DEFAULT, TRANSFORMER_PROP, VERSION, WHOLE_REQUEST, YEAR`

Constructor Summary
`Frontend()`

Method Summary
`static void` | `error(javax.servlet.ServletResponse response, java.lang.String message)`
`static void` | `error(javax.servlet.ServletResponse response, java.lang.String message, java.lang.Throwable t)`
`static void` | `footer(java.io.PrintWriter out)`
`static void` | `header(java.io.PrintWriter out)`
`static void` | `header(java.io.PrintWriter out, int width)`
`static void` | `print(javax.servlet.ServletResponse response, java.lang.String title, java.lang.String message)`
`static void` | `status(javax.servlet.ServletResponse response, java.util.Hashtable environment, java.util.Hashtable engine)`
`static void` | `table(java.io.PrintWriter out, java.lang.String name, java.util.Hashtable table)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Field Detail

### colors

    public static final java.lang.String[] colors

### SINGLE_COLUMN

    public static final java.lang.String SINGLE_COLUMN

Constructor Detail

### Frontend

    public Frontend()

Method Detail

### status

    public static void status(javax.servlet.ServletResponse response,
                              java.util.Hashtable environment,
                              java.util.Hashtable engine)
                       throws java.io.IOException

### error

    public static void error(javax.servlet.ServletResponse response,
                             java.lang.String message)
                      throws java.io.IOException

### error

    public static void error(javax.servlet.ServletResponse response,
                             java.lang.String message,
                             java.lang.Throwable t)
                      throws java.io.IOException

### print

    public static void print(javax.servlet.ServletResponse response,
                             java.lang.String title,
                             java.lang.String message)
                      throws java.io.IOException

### header

    public static void header(java.io.PrintWriter out)

### header

    public static void header(java.io.PrintWriter out,
                              int width)

### footer

    public static void footer(java.io.PrintWriter out)

### table

    public static void table(java.io.PrintWriter out,
                             java.lang.String name,
                             java.util.Hashtable table)

Overview | Package | Class | Tree | Deprecated | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: INNER | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 1999-2001 Apache Software Foundation. All Rights Reserved.